summaryrefslogtreecommitdiffstats
path: root/office/osmo/osmo.SlackBuild
diff options
context:
space:
mode:
author Frank Caraballo2010-05-13 00:39:24 +0200
committer Robby Workman2010-05-13 00:39:24 +0200
commit78d31b3e0dffe0794c17830293d9448e6190341f (patch)
tree461484ca844001ca91a37efff1e269704deca9e9 /office/osmo/osmo.SlackBuild
parent4877b9e2ac2fb57b5b8a3d59112afd76209e333e (diff)
downloadslackbuilds-78d31b3e0dffe0794c17830293d9448e6190341f.tar.gz
office/osmo: Updated for version 0.2.8
Diffstat (limited to 'office/osmo/osmo.SlackBuild')
-rw-r--r--office/osmo/osmo.SlackBuild30
1 files changed, 14 insertions, 16 deletions
diff --git a/office/osmo/osmo.SlackBuild b/office/osmo/osmo.SlackBuild
index 441c63b272..071385b5a7 100644
--- a/office/osmo/osmo.SlackBuild
+++ b/office/osmo/osmo.SlackBuild
@@ -23,7 +23,7 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=osmo
-VERSION=${VERSION:-0.2.6}
+VERSION=${VERSION:-0.2.8}
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -35,18 +35,23 @@ OUTPUT=${OUTPUT:-/tmp}
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
fi
+set -e
+
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
-cd $TMP || exit 1
+cd $TMP
rm -rf $PRGNAM-$VERSION
-tar xvf $CWD/$PRGNAM-$VERSION.tar.?z* || exit 1
-cd $PRGNAM-$VERSION || exit 1
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
@@ -54,24 +59,17 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
-# Apply patch-libgringotts-2.diff patch found at
-# http://sourceforge.net/mailarchive/forum.php?thread_name=49B43951.50203%40waitrose.com&forum_name=osmo-pim-friends
-# In order for Osmo 0.2.6 to compile, this patch needs to be applied regardless of building with or without libgringotts.
-( cd src
- patch -p0 < $CWD/patch-libgringotts-2.diff || exit 1
-)
-
CFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
--sysconfdir=/etc \
--localstatedir=/var \
--mandir=/usr/man \
- --build=$ARCH-slackware-linux \
- || exit 1
+ --build=$ARCH-slackware-linux
-make || exit 1
-make install-strip DESTDIR=$PKG || exit 1
+make
+make install-strip DESTDIR=$PKG
( cd $PKG/usr/man
find . -type f -exec gzip -9 {} \;
@@ -88,4 +86,4 @@ cat $CWD/slack-desc > $PKG/install/slack-desc
cat $CWD/doinst.sh > $PKG/install/doinst.sh
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}